>From 3369f37825d9b9451810aedc4d80016e0d75b277 Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Fri, 9 Nov 2012 12:31:40 -0500
Subject: [PATCH 83/84] removed dry_run

---
 base/deploy/src/pkidestroy                         |  16 +-
 base/deploy/src/pkispawn                           |  32 +-
 base/deploy/src/scriptlets/configuration.jy        |   2 -
 base/deploy/src/scriptlets/configuration.py        | 176 ++---
 base/deploy/src/scriptlets/finalization.py         |  35 +-
 .../deploy/src/scriptlets/infrastructure_layout.py |  45 +-
 base/deploy/src/scriptlets/instance_layout.py      | 102 +--
 base/deploy/src/scriptlets/pkiconfig.py            |   1 -
 base/deploy/src/scriptlets/pkihelper.py            | 757 ++++++++-------------
 base/deploy/src/scriptlets/pkijython.py            | 504 +++++++-------
 base/deploy/src/scriptlets/pkiparser.py            |   7 -
 base/deploy/src/scriptlets/security_databases.py   | 151 ++--
 12 files changed, 722 insertions(+), 1106 deletions(-)

diff --git a/base/deploy/src/pkidestroy b/base/deploy/src/pkidestroy
index 165ccb06c130ae6e4e32572a98f72f0df28d2ac3..82632fc1af721ef981ff25390ff38547cb46b72b 100755
--- a/base/deploy/src/pkidestroy
+++ b/base/deploy/src/pkidestroy
@@ -95,16 +95,12 @@ def main(argv):
     parse.process_command_line_arguments(argv)
 
     # Enable 'pkidestroy' logging.
-    if not config.pki_dry_run_flag:
-        config.pki_log_dir = config.pki_root_prefix +\
-                             config.PKI_DEPLOYMENT_LOG_ROOT
-        config.pki_log_name = "pki" + "-" +\
-                              config.pki_subsystem.lower() +\
-                              "-" + "destroy" + "." +\
-                              config.pki_timestamp + "." + "log"
-    else:
-        config.pki_log_dir = "/dev"
-        config.pki_log_name = "null"
+    config.pki_log_dir = config.pki_root_prefix +\
+                         config.PKI_DEPLOYMENT_LOG_ROOT
+    config.pki_log_name = "pki" + "-" +\
+                          config.pki_subsystem.lower() +\
+                          "-" + "destroy" + "." +\
+                          config.pki_timestamp + "." + "log"
     rv = pkilogging.enable_pki_logger(config.pki_log_dir,
                                       config.pki_log_name,
                                       config.pki_log_level,
diff --git a/base/deploy/src/pkispawn b/base/deploy/src/pkispawn
index d3dfb63ca8718e86079babe462de2256b3a31822..4ea678ef6aa98eecf19057277a78cfb0f6767efa 100755
--- a/base/deploy/src/pkispawn
+++ b/base/deploy/src/pkispawn
@@ -103,32 +103,24 @@ def main(argv):
     # Enable 'pkispawn' logging.
     rv = 0
     if not config.pki_update_flag:
-        if not config.pki_dry_run_flag:
-            config.pki_log_dir = config.pki_root_prefix +\
-                                 config.PKI_DEPLOYMENT_LOG_ROOT
-            config.pki_log_name = "pki" + "-" +\
-                                  config.pki_subsystem.lower() +\
-                                  "-" + "spawn" + "." +\
-                                  config.pki_timestamp + "." + "log"
-        else:
-            config.pki_log_dir = "/dev"
-            config.pki_log_name = "null"
+        config.pki_log_dir = config.pki_root_prefix +\
+                             config.PKI_DEPLOYMENT_LOG_ROOT
+        config.pki_log_name = "pki" + "-" +\
+                              config.pki_subsystem.lower() +\
+                              "-" + "spawn" + "." +\
+                              config.pki_timestamp + "." + "log"
         rv = pkilogging.enable_pki_logger(config.pki_log_dir,
                                           config.pki_log_name,
                                           config.pki_log_level,
                                           config.pki_console_log_level,
                                           "pkispawn")
     else:
-        if not config.pki_dry_run_flag:
-            config.pki_log_dir = config.pki_root_prefix +\
-                                 config.PKI_DEPLOYMENT_LOG_ROOT
-            config.pki_log_name = "pki" + "-" +\
-                                  config.pki_subsystem.lower() +\
-                                  "-" + "respawn" + "." +\
-                                  config.pki_timestamp + "." + "log"
-        else:
-            config.pki_log_dir = "/dev"
-            config.pki_log_name = "null"
+        config.pki_log_dir = config.pki_root_prefix +\
+                             config.PKI_DEPLOYMENT_LOG_ROOT
+        config.pki_log_name = "pki" + "-" +\
+                              config.pki_subsystem.lower() +\
+                              "-" + "respawn" + "." +\
+                              config.pki_timestamp + "." + "log"
         rv = pkilogging.enable_pki_logger(config.pki_log_dir,
                                           config.pki_log_name,
                                           config.pki_log_level,
diff --git a/base/deploy/src/scriptlets/configuration.jy b/base/deploy/src/scriptlets/configuration.jy
index 7180c45461c6c33057fb0f5fa7fa7e48f4a5badd..bf89a0170f390ce48554864d2e4f271283cd78b3 100644
--- a/base/deploy/src/scriptlets/configuration.jy
+++ b/base/deploy/src/scriptlets/configuration.jy
@@ -69,14 +69,12 @@ def main(argv):
     # Initialize token
     jyutil.security_databases.initialize_token(
         master['pki_client_database_dir'],
-        master['pki_dry_run_flag'],
         master['pki_jython_log_level'])
 
     # Log into token
     token = jyutil.security_databases.log_into_token(
                 master['pki_client_database_dir'],
                 master['pki_client_password_conf'],
-                master['pki_dry_run_flag'],
                 master['pki_jython_log_level'])
 
     # Setup connection parameters
diff --git a/base/deploy/src/scriptlets/configuration.py b/base/deploy/src/scriptlets/configuration.py
index f2d3ab1b1e6dd3422f0de57320044edf0a39bc07..c9454d951213c2dcc0390d570e6cbe8577abad1e 100644
--- a/base/deploy/src/scriptlets/configuration.py
+++ b/base/deploy/src/scriptlets/configuration.py
@@ -39,98 +39,59 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             return self.rv
         config.pki_log.info(log.CONFIGURATION_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        if not config.pki_dry_run_flag:
-            # Place "slightly" less restrictive permissions on
-            # the top-level client directory ONLY
-            util.directory.create(master['pki_client_dir'],
-                uid=0, gid=0,
-                perms=config.PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS)
-            # Since 'certutil' does NOT strip the 'token=' portion of
-            # the 'token=password' entries, create a client password file
-            # which ONLY contains the 'password' for the purposes of
-            # allowing 'certutil' to generate the security databases
-            util.password.create_password_conf(
-                master['pki_client_password_conf'],
-                sensitive['pki_client_database_password'], pin_sans_token=True)
-            util.file.modify(master['pki_client_password_conf'],
-                             uid=0, gid=0)
-            # Similarly, create a simple password file containing the
-            # PKCS #12 password used when exporting the "Admin Certificate"
-            # into a PKCS #12 file
-            util.password.create_client_pkcs12_password_conf(
-                master['pki_client_pkcs12_password_conf'])
-            util.file.modify(master['pki_client_pkcs12_password_conf'])
-            util.directory.create(master['pki_client_database_dir'],
-                                  uid=0, gid=0)
-            util.certutil.create_security_databases(
-                master['pki_client_database_dir'],
-                master['pki_client_cert_database'],
-                master['pki_client_key_database'],
-                master['pki_client_secmod_database'],
-                password_file=master['pki_client_password_conf'])
-            util.symlink.create(master['pki_systemd_service'],
-                                master['pki_systemd_service_link'])
-        else:
-            # Since 'certutil' does NOT strip the 'token=' portion of
-            # the 'token=password' entries, create a client password file
-            # which ONLY contains the 'password' for the purposes of
-            # allowing 'certutil' to generate the security databases
-            util.password.create_password_conf(
-                master['pki_client_password_conf'],
-                sensitive['pki_client_database_password'], pin_sans_token=True)
-            # Similarly, create a simple password file containing the
-            # PKCS #12 password used when exporting the "Admin Certificate"
-            # into a PKCS #12 file
-            util.password.create_client_pkcs12_password_conf(
-                master['pki_client_pkcs12_password_conf'])
-            util.certutil.create_security_databases(
-                master['pki_client_database_dir'],
-                master['pki_client_cert_database'],
-                master['pki_client_key_database'],
-                master['pki_client_secmod_database'],
-                password_file=master['pki_client_password_conf'])
+
+        # Place "slightly" less restrictive permissions on
+        # the top-level client directory ONLY
+        util.directory.create(master['pki_client_dir'],
+            uid=0, gid=0,
+            perms=config.PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS)
+        # Since 'certutil' does NOT strip the 'token=' portion of
+        # the 'token=password' entries, create a client password file
+        # which ONLY contains the 'password' for the purposes of
+        # allowing 'certutil' to generate the security databases
+        util.password.create_password_conf(
+            master['pki_client_password_conf'],
+            sensitive['pki_client_database_password'], pin_sans_token=True)
+        util.file.modify(master['pki_client_password_conf'],
+                         uid=0, gid=0)
+        # Similarly, create a simple password file containing the
+        # PKCS #12 password used when exporting the "Admin Certificate"
+        # into a PKCS #12 file
+        util.password.create_client_pkcs12_password_conf(
+            master['pki_client_pkcs12_password_conf'])
+        util.file.modify(master['pki_client_pkcs12_password_conf'])
+        util.directory.create(master['pki_client_database_dir'],
+                              uid=0, gid=0)
+        util.certutil.create_security_databases(
+            master['pki_client_database_dir'],
+            master['pki_client_cert_database'],
+            master['pki_client_key_database'],
+            master['pki_client_secmod_database'],
+            password_file=master['pki_client_password_conf'])
+        util.symlink.create(master['pki_systemd_service'],
+                            master['pki_systemd_service_link'])
+
         # Start/Restart this Apache/Tomcat PKI Process
-        if not config.pki_dry_run_flag:
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-                apache_instance_subsystems =\
-                    util.instance.apache_instance_subsystems()
-                if apache_instance_subsystems == 1:
-                    util.systemd.start()
-                elif apache_instance_subsystems > 1:
-                    util.systemd.restart()
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-                # Optionally prepare to enable a java debugger
-                # (e. g. - 'eclipse'):
-                if config.str2bool(master['pki_enable_java_debugger']):
-                    config.prepare_for_an_external_java_debugger(
-                        master['pki_target_tomcat_conf_instance_id'])
-                tomcat_instance_subsystems =\
-                    util.instance.tomcat_instance_subsystems()
-                if tomcat_instance_subsystems == 1:
-                    util.systemd.start()
-                elif tomcat_instance_subsystems > 1:
-                    util.systemd.restart()
-        else:
-            # ALWAYS display correct information (even during dry_run)
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-                apache_instance_subsystems =\
-                    util.instance.apache_instance_subsystems()
-                if apache_instance_subsystems == 0:
-                    util.systemd.start()
-                elif apache_instance_subsystems > 0:
-                    util.systemd.restart()
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-                # Optionally prepare to enable a java debugger
-                # (e. g. - 'eclipse'):
-                if config.str2bool(master['pki_enable_java_debugger']):
-                    config.prepare_for_an_external_java_debugger(
-                        master['pki_target_tomcat_conf_instance_id'])
-                tomcat_instance_subsystems =\
-                    util.instance.tomcat_instance_subsystems()
-                if tomcat_instance_subsystems == 0:
-                    util.systemd.start()
-                elif tomcat_instance_subsystems > 0:
-                    util.systemd.restart()
+        if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
+            apache_instance_subsystems =\
+                util.instance.apache_instance_subsystems()
+            if apache_instance_subsystems == 1:
+                util.systemd.start()
+            elif apache_instance_subsystems > 1:
+                util.systemd.restart()
+        elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
+            # Optionally prepare to enable a java debugger
+            # (e. g. - 'eclipse'):
+            if config.str2bool(master['pki_enable_java_debugger']):
+                config.prepare_for_an_external_java_debugger(
+                    master['pki_target_tomcat_conf_instance_id'])
+            tomcat_instance_subsystems =\
+                util.instance.tomcat_instance_subsystems()
+            if tomcat_instance_subsystems == 1:
+                util.systemd.start()
+            elif tomcat_instance_subsystems > 1:
+                util.systemd.restart()
+
         # Pass control to the Java servlet via Jython 2.2 'configuration.jy'
         util.jython.invoke(master['pki_jython_configuration_scriptlet'])
         return self.rv
@@ -143,27 +104,14 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
     def destroy(self):
         config.pki_log.info(log.CONFIGURATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        if not config.pki_dry_run_flag:
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() == 1:
-                if util.directory.exists(master['pki_client_dir']):
-                    util.directory.delete(master['pki_client_dir'])
-                util.symlink.delete(master['pki_systemd_service_link'])
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() == 1:
-                if util.directory.exists(master['pki_client_dir']):
-                    util.directory.delete(master['pki_client_dir'])
-                util.symlink.delete(master['pki_systemd_service_link'])
-        else:
-            # ALWAYS display correct information (even during dry_run)
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() == 0:
-                if util.directory.exists(master['pki_client_dir']):
-                    util.directory.delete(master['pki_client_dir'])
-                util.symlink.delete(master['pki_systemd_service_link'])
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() == 0:
-                if util.directory.exists(master['pki_client_dir']):
-                    util.directory.delete(master['pki_client_dir'])
-                util.symlink.delete(master['pki_systemd_service_link'])
+        if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+           util.instance.apache_instance_subsystems() == 1:
+            if util.directory.exists(master['pki_client_dir']):
+                util.directory.delete(master['pki_client_dir'])
+            util.symlink.delete(master['pki_systemd_service_link'])
+        elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+             util.instance.tomcat_instance_subsystems() == 1:
+            if util.directory.exists(master['pki_client_dir']):
+                util.directory.delete(master['pki_client_dir'])
+            util.symlink.delete(master['pki_systemd_service_link'])
         return self.rv
diff --git a/base/deploy/src/scriptlets/finalization.py b/base/deploy/src/scriptlets/finalization.py
index a86ffff28bef84b8af9d8d7f9283cc20a248416c..62d92a6260bd1ca0e1ec7879feee265519d7bf03 100644
--- a/base/deploy/src/scriptlets/finalization.py
+++ b/base/deploy/src/scriptlets/finalization.py
@@ -48,10 +48,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_2)
         # for record in manifest.database:
         #     print tuple(record)
-        if not config.pki_dry_run_flag:
-            manifest.file.register(master['pki_manifest'])
-            manifest.file.write()
-            util.file.modify(master['pki_manifest'], silent=True)
+        manifest.file.register(master['pki_manifest'])
+        manifest.file.write()
+        util.file.modify(master['pki_manifest'], silent=True)
+
         # Also, for debugging/auditing purposes, save a timestamped copy of
         # this installation manifest file
         util.file.copy(master['pki_manifest'],
@@ -78,8 +78,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             master['pki_subsystem'],
                             master['pki_instance_id'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
-        if not config.pki_dry_run_flag:
-            util.file.modify(master['pki_spawn_log'], silent=True)
+        util.file.modify(master['pki_spawn_log'], silent=True)
         # If instance has not been configured, print the
         # configuration URL to the screen
         if config.str2bool(master['pki_skip_configuration']):
@@ -94,24 +93,14 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
     def destroy(self):
         config.pki_log.info(log.FINALIZATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        if not config.pki_dry_run_flag:
-            util.file.modify(master['pki_destroy_log'], silent=True)
+        util.file.modify(master['pki_destroy_log'], silent=True)
         # Start this Apache/Tomcat PKI Process
-        if not config.pki_dry_run_flag:
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() >= 1:
-                util.systemd.start()
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() >= 1:
-                util.systemd.start()
-        else:
-            # ALWAYS display correct information (even during dry_run)
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() >= 0:
-                util.systemd.start()
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() >= 0:
-                util.systemd.start()
+        if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+           util.instance.apache_instance_subsystems() >= 1:
+            util.systemd.start()
+        elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+           util.instance.tomcat_instance_subsystems() >= 1:
+            util.systemd.start()
         config.pki_log.info(log.PKIDESTROY_END_MESSAGE_2,
                             master['pki_subsystem'],
                             master['pki_instance_id'],
diff --git a/base/deploy/src/scriptlets/infrastructure_layout.py b/base/deploy/src/scriptlets/infrastructure_layout.py
index d4dc264fdbdc6579a8bbd01ec7e215271277c2bd..e79fa8bfe347e87e5cba8c0b51e13ad22a95f243 100644
--- a/base/deploy/src/scriptlets/infrastructure_layout.py
+++ b/base/deploy/src/scriptlets/infrastructure_layout.py
@@ -90,35 +90,18 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.ADMIN_DOMAIN_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # remove top-level infrastructure base
-        if not config.pki_dry_run_flag:
-            if master['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
-               util.instance.pki_instance_subsystems() == 0:
-                # remove top-level infrastructure base
-                util.directory.delete(master['pki_path'])
-                # do NOT remove top-level infrastructure logs
-                # since it now stores 'pkispawn'/'pkidestroy' logs
-                # util.directory.delete(master['pki_log_path'])
-                # remove top-level infrastructure configuration
-                if util.directory.is_empty(master['pki_configuration_path'])\
-                   and master['pki_configuration_path'] !=\
-                   config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-                    util.directory.delete(master['pki_configuration_path'])
-                # remove top-level infrastructure registry
-                util.directory.delete(master['pki_registry_path'])
-        else:
-            # ALWAYS display correct information (even during dry_run)
-            if master['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
-               util.instance.pki_instance_subsystems() == 1:
-                # remove top-level infrastructure base
-                util.directory.delete(master['pki_path'])
-                # do NOT remove top-level infrastructure logs
-                # since it now stores 'pkispawn'/'pkidestroy' logs
-                # util.directory.delete(master['pki_log_path'])
-                # remove top-level infrastructure configuration
-                if util.directory.is_empty(master['pki_configuration_path'])\
-                   and master['pki_configuration_path'] !=\
-                   config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-                    util.directory.delete(master['pki_configuration_path'])
-                # remove top-level infrastructure registry
-                util.directory.delete(master['pki_registry_path'])
+        if master['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
+           util.instance.pki_instance_subsystems() == 0:
+            # remove top-level infrastructure base
+            util.directory.delete(master['pki_path'])
+            # do NOT remove top-level infrastructure logs
+            # since it now stores 'pkispawn'/'pkidestroy' logs
+            # util.directory.delete(master['pki_log_path'])
+            # remove top-level infrastructure configuration
+            if util.directory.is_empty(master['pki_configuration_path'])\
+               and master['pki_configuration_path'] !=\
+               config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
+                util.directory.delete(master['pki_configuration_path'])
+            # remove top-level infrastructure registry
+            util.directory.delete(master['pki_registry_path'])
         return self.rv
diff --git a/base/deploy/src/scriptlets/instance_layout.py b/base/deploy/src/scriptlets/instance_layout.py
index 0df418165ed43bb112e5179985025ebe58c7f0dc..f452931046a6472ec42d2796798be26e8a411a93 100644
--- a/base/deploy/src/scriptlets/instance_layout.py
+++ b/base/deploy/src/scriptlets/instance_layout.py
@@ -248,73 +248,37 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         if master['pki_subsystem'] == 'TKS':
             util.symlink.delete(master['pki_symkey_jar_link'])
-        if not config.pki_dry_run_flag:
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() == 0:
-                # remove Apache instance base
-                util.directory.delete(master['pki_instance_path'])
-                # remove Apache instance logs
-                # remove shared NSS security database path for this instance
-                util.directory.delete(master['pki_database_path'])
-                # remove Apache instance configuration
-                util.directory.delete(master['pki_instance_configuration_path'])
-                # remove Apache instance registry
-                util.directory.delete(master['pki_instance_registry_path'])
-                # remove Apache PKI registry (if empty)
-                if util.instance.apache_instances() == 0:
-                    util.directory.delete(
-                        master['pki_instance_type_registry_path'])
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() == 0:
-                # remove Tomcat instance base
-                util.directory.delete(master['pki_instance_path'])
-                # remove Tomcat instance logs
-                util.directory.delete(master['pki_instance_log_path'])
-                # remove shared NSS security database path for this instance
-                util.directory.delete(master['pki_database_path'])
-                # remove Tomcat instance configuration
-                util.directory.delete(master['pki_instance_configuration_path'])
-                # remove PKI 'tomcat.conf' instance file
-                util.file.delete(master['pki_target_tomcat_conf_instance_id'])
-                # remove Tomcat instance registry
-                util.directory.delete(master['pki_instance_registry_path'])
-                # remove Tomcat PKI registry (if empty)
-                if util.instance.tomcat_instances() == 0:
-                    util.directory.delete(
-                        master['pki_instance_type_registry_path'])
-        else:
-            # ALWAYS display correct information (even during dry_run)
-            if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-               util.instance.apache_instance_subsystems() == 1:
-                # remove Apache instance base
-                util.directory.delete(master['pki_instance_path'])
-                # remove Apache instance logs
-                # remove shared NSS security database path for this instance
-                util.directory.delete(master['pki_database_path'])
-                # remove Apache instance configuration
-                util.directory.delete(master['pki_instance_configuration_path'])
-                # remove Apache instance registry
-                util.directory.delete(master['pki_instance_registry_path'])
-                # remove Apache PKI registry (if empty)
-                if util.instance.apache_instances() == 1:
-                    util.directory.delete(
-                        master['pki_instance_type_registry_path'])
-            elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-                 util.instance.tomcat_instance_subsystems() == 1:
-                # remove Tomcat instance base
-                util.directory.delete(master['pki_instance_path'])
-                # remove Tomcat instance logs
-                util.directory.delete(master['pki_instance_log_path'])
-                # remove shared NSS security database path for this instance
-                util.directory.delete(master['pki_database_path'])
-                # remove Tomcat instance configuration
-                util.directory.delete(master['pki_instance_configuration_path'])
-                # remove PKI 'tomcat.conf' instance file
-                util.file.delete(master['pki_target_tomcat_conf_instance_id'])
-                # remove Tomcat instance registry
-                util.directory.delete(master['pki_instance_registry_path'])
-                # remove Tomcat PKI registry (if empty)
-                if util.instance.tomcat_instances() == 1:
-                    util.directory.delete(
-                        master['pki_instance_type_registry_path'])
+        if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
+           util.instance.apache_instance_subsystems() == 0:
+            # remove Apache instance base
+            util.directory.delete(master['pki_instance_path'])
+            # remove Apache instance logs
+            # remove shared NSS security database path for this instance
+            util.directory.delete(master['pki_database_path'])
+            # remove Apache instance configuration
+            util.directory.delete(master['pki_instance_configuration_path'])
+            # remove Apache instance registry
+            util.directory.delete(master['pki_instance_registry_path'])
+            # remove Apache PKI registry (if empty)
+            if util.instance.apache_instances() == 0:
+                util.directory.delete(
+                    master['pki_instance_type_registry_path'])
+        elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
+             util.instance.tomcat_instance_subsystems() == 0:
+            # remove Tomcat instance base
+            util.directory.delete(master['pki_instance_path'])
+            # remove Tomcat instance logs
+            util.directory.delete(master['pki_instance_log_path'])
+            # remove shared NSS security database path for this instance
+            util.directory.delete(master['pki_database_path'])
+            # remove Tomcat instance configuration
+            util.directory.delete(master['pki_instance_configuration_path'])
+            # remove PKI 'tomcat.conf' instance file
+            util.file.delete(master['pki_target_tomcat_conf_instance_id'])
+            # remove Tomcat instance registry
+            util.directory.delete(master['pki_instance_registry_path'])
+            # remove Tomcat PKI registry (if empty)
+            if util.instance.tomcat_instances() == 0:
+                util.directory.delete(
+                    master['pki_instance_type_registry_path'])
         return self.rv
diff --git a/base/deploy/src/scriptlets/pkiconfig.py b/base/deploy/src/scriptlets/pkiconfig.py
index ba411933d82be02e150c08dcafe86276ff6b172a..e8e65970e76400a1bb20dfdc1c9c211b749ca025 100644
--- a/base/deploy/src/scriptlets/pkiconfig.py
+++ b/base/deploy/src/scriptlets/pkiconfig.py
@@ -125,7 +125,6 @@ pkideployment_cfg = None
 pki_deployed_instance_name = None
 
 # PKI Deployment "Optional" Command-Line Variables
-pki_dry_run_flag = False
 #     'pkispawn' ONLY
 pki_update_flag = False
 
